


<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Index &mdash; Documentation</title>
  

  
  
    <link rel="shortcut icon" href="_static/favicon.ico"/>
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script crossorigin="anonymous" integrity="sha256-Ae2Vz/4ePdIu6ZyI/5ZGsYnb+m0JlOmKPjt6XZ9JJkA=" src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
        <script src="_static/js/bootstrap.min.js"></script>
        <script src="_static/js/bootstrap.bundle.min.js"></script>
        <script src="_static/js/custom.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/bootstrap.min.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/bootstrap-grid.min.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/custom.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> Shyft
          

          
          </a>

          
            
            
              <div class="version">
                4.12
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Project</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/project/what_is_shyft.html">What is Shyft?</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/project/get_involved.html">Get involved</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/project/contact.html">Contact</a></li>
</ul>
<p class="caption"><span class="caption-text">Time Series</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Hydrology</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Energy Market</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Dashboard</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/api.html">API Documentation</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Shyft</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html">Docs</a> &raquo;</li>
        
      <li>Index</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            

<h1 id="index">Index &ndash; G</h1>

<table style="width: 100%" class="indextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoSlice.g">g() (shyft.time_series.GeoSlice property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GammaSnowResponse">GammaSnowResponse (class in shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GammaSnowState">GammaSnowState (class in shyft.hydrology)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsClient.geo_evaluate">geo_evaluate() (shyft.time_series.DtsClient method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoEvalArgs.geo_range">geo_range() (shyft.time_series.GeoEvalArgs property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsClient.geo_store">geo_store() (shyft.time_series.DtsClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GeoPointSource.geo_ts">geo_ts() (shyft.hydrology.GeoPointSource property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoEvalArgs.geo_ts_db_id">geo_ts_db_id() (shyft.time_series.GeoEvalArgs property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.geo_ts_read_cb">geo_ts_read_cb() (shyft.time_series.DtsServer property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.geo_ts_store_cb">geo_ts_store_cb() (shyft.time_series.DtsServer property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GeoCellData">GeoCellData (class in shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GeoCellDataVector">GeoCellDataVector (class in shyft.hydrology)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoEvalArgs">GeoEvalArgs (class in shyft.time_series)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoGridSpec">GeoGridSpec (class in shyft.time_series)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoMatrixShape">GeoMatrixShape (class in shyft.time_series)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GeoPoint">GeoPoint (class in shyft.hydrology)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.GeoPoint">(class in shyft.time_series)</a>
</li>
      </ul></li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GeoPointSource">GeoPointSource (class in shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GeoPointVector">GeoPointVector (class in shyft.hydrology)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoQuery">GeoQuery (class in shyft.time_series)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoSlice">GeoSlice (class in shyft.time_series)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoTimeSeries">GeoTimeSeries (class in shyft.time_series)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoTimeSeriesConfiguration">GeoTimeSeriesConfiguration (class in shyft.time_series)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoTimeSeriesVector">GeoTimeSeriesVector (class in shyft.time_series)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoTsMatrix">GeoTsMatrix (class in shyft.time_series)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.get">get() (shyft.time_series.TimeSeries method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.get_catchment_parameter">get_catchment_parameter() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.get_charge">get_charge() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/energy_market/api.html#shyft.energy_market.core.get_dir">get_dir() (in module shyft.energy_market.core)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.get_discharge">get_discharge() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsClient.get_geo_db_ts_info">get_geo_db_ts_info() (shyft.time_series.DtsClient method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoTsMatrix.get_geo_point">get_geo_point() (shyft.time_series.GeoTsMatrix method)</a>
</li>
      <li><a href="content/energy_market/api.html#shyft.energy_market.core.get_id_based_items">get_id_based_items() (in module shyft.energy_market.core)</a>
</li>
      <li><a href="content/energy_market/api.html#shyft.energy_market.core.get_id_based_keys">get_id_based_keys() (in module shyft.energy_market.core)</a>
</li>
      <li><a href="content/energy_market/api.html#shyft.energy_market.core.get_item_from_id">get_item_from_id() (in module shyft.energy_market.core)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="content/energy_market/api.html#shyft.energy_market.core.get_item_from_name">get_item_from_name() (in module shyft.energy_market.core)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.KalmanState.get_k">get_k() (shyft.hydrology.KalmanState static method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.get_krls_predictor">get_krls_predictor() (shyft.time_series.TimeSeries method)</a>
</li>
      <li><a href="content/dashboard/api.html#shyft.dashboard.apps.dtss_viewer.dtss_viewer_app.DtssViewerApp.get_layout">get_layout() (shyft.dashboard.apps.dtss_viewer.dtss_viewer_app.DtssViewerApp method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmServer.get_listening_port">get_listening_port() (shyft.hydrology.DrmServer method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.get_listening_port">(shyft.time_series.DtsServer method)</a>
</li>
      </ul></li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmServer.get_max_connections">get_max_connections() (shyft.hydrology.DrmServer method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.get_max_connections">(shyft.time_series.DtsServer method)</a>
</li>
      </ul></li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.get_model_ids">get_model_ids() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/energy_market/api.html#shyft.energy_market.core.get_name_based_items">get_name_based_items() (in module shyft.energy_market.core)</a>
</li>
      <li><a href="content/energy_market/api.html#shyft.energy_market.core.get_name_based_keys">get_name_based_keys() (in module shyft.energy_market.core)</a>
</li>
      <li><a href="content/energy_market/api.html#shyft.energy_market.core.get_object_attribute">get_object_attribute() (in module shyft.energy_market.core)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.KalmanState.get_P">get_P() (shyft.hydrology.KalmanState static method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.get_precipitation">get_precipitation() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.get_radiation">get_radiation() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.get_region_parameter">get_region_parameter() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.get_rel_hum">get_rel_hum() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.get_snow_sca">get_snow_sca() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.get_snow_swe">get_snow_swe() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.get_state">get_state() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.get_temperature">get_temperature() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.get_time_axis">get_time_axis() (shyft.hydrology.DrmClient method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.get_time_axis">(shyft.time_series.TimeSeries method)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoTsMatrix.get_ts">get_ts() (shyft.time_series.GeoTsMatrix method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsClient.get_ts_info">get_ts_info() (shyft.time_series.DtsClient method)</a>
</li>
      <li><a href="content/energy_market/api.html#shyft.energy_market.core.get_values">get_values() (in module shyft.energy_market.core)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.KalmanState.get_W">get_W() (shyft.hydrology.KalmanState static method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.get_wind_speed">get_wind_speed() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.KalmanState.get_x">get_x() (shyft.hydrology.KalmanState static method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.LandTypeFractions.glacier">glacier() (shyft.hydrology.LandTypeFractions method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.glacier_melt_step">glacier_melt_step() (in module shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CalibrationOption.global_search">global_search() (shyft.hydrology.CalibrationOption static method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.graceful_close_timeout_ms">graceful_close_timeout_ms() (shyft.time_series.DtsServer property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.IDWTemperatureParameter.gradient_by_equation">gradient_by_equation() (shyft.hydrology.IDWTemperatureParameter property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.IDWTemperatureParameter.gradient_max">gradient_max() (shyft.hydrology.IDWTemperatureParameter property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.IDWTemperatureParameter.gradient_min">gradient_min() (shyft.hydrology.IDWTemperatureParameter property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoTimeSeriesConfiguration.grid">grid() (shyft.time_series.GeoTimeSeriesConfiguration property)</a>
</li>
  </ul></td>
</tr></table>


           </div>
           
          </div>
          <footer>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2021, The Shyft project

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>